library IEEE;
use IEEE.std_logic_1164.all;

architecture sim of tb_eaufgabe is

  component eaufgabe
  port (data0_i :   in std_logic_vector(7 downto 0);
        data1_i :   in std_logic_vector(7 downto 0);
        lvl0_o : out std_logic; 
        lvl1_o : out std_logic;
        lvl2_o : out std_logic;
        lvl3_o : out std_logic;
        lvl4_o : out std_logic;
        lvl5_o : out std_logic;
        lvl6_o : out std_logic;
        lvl7_o : out std_logic);
  end component;
  
  -- Declare the signals used stimulating the design's inputs.
  signal data0_i : std_logic_vector(7 downto 0);
  signal data1_i : std_logic_vector(7 downto 0);
  signal lvl0_o : std_logic; 
  signal lvl1_o : std_logic;
  signal lvl2_o : std_logic;
  signal lvl3_o : std_logic;
  signal lvl4_o : std_logic;
  signal lvl5_o : std_logic;
  signal lvl6_o : std_logic;
  signal lvl7_o : std_logic;
  
begin

  -- Instantiate the fulladder design for testing
  i_eaufgabe : eaufgabe
  port map              
    (
  data0_i => data0_i,
  data1_i => data1_i,
  lvl0_o => lvl0_o, 
  lvl1_o => lvl1_o,
  lvl2_o => lvl2_o,
  lvl3_o => lvl3_o,
  lvl4_o => lvl4_o,
  lvl5_o => lvl5_o,
  lvl6_o => lvl6_o,
  lvl7_o => lvl7_o);

  run : process
    begin
      
      data0_i <= "00000000";
      data1_i <= "00000000";
      wait for 100 ns;
       
      data0_i <= "00100010";
      data1_i <= "00111000";
      wait for 100 ns;
       
      data0_i <= "11111111";
      data1_i <= "11111111";
      wait for 100 ns;
       
      data0_i <= "10000000";
      data1_i <= "00000001";
      wait for 100 ns;
       
      data0_i <= "00000001";
      data1_i <= "00000001";
      wait for 100 ns;
       
      data0_i <= "00010000";
      data1_i <= "00000011";
      wait for 100 ns;
       
      data0_i <= "11000000";
      data1_i <= "00000100";
      wait for 100 ns;
       
      data0_i <= "00000000";
      data1_i <= "10000000";
      wait for 100 ns;
    end process;

end sim;

