library IEEE;
use IEEE.std_logic_1164.all;

architecture struc of eaufgabe is

  component summe
    port  (data0_i :   in std_logic_vector(7 downto 0);      -- operand 0
           data1_i :   in std_logic_vector(7 downto 0);      -- operand 1
           datas_o :  out std_logic_vector(8 downto 0));
  end component;
  
  component daten
    port 
 (datas_i : in std_logic_vector(8 downto 0); -- Ausgang vom Summierer
  lvl0_o : out std_logic := '0'; -- Ausgnge 0 bis 7 werden defaultmig
  lvl1_o : out std_logic := '0'; -- auf 0 gesetzt
  lvl2_o : out std_logic := '0';
  lvl3_o : out std_logic := '0';
  lvl4_o : out std_logic := '0';
  lvl5_o : out std_logic := '0';
  lvl6_o : out std_logic := '0';
  lvl7_o : out std_logic := '0');  
  end component;

  -- Declare the signals used for interconnection of the submodules.
  signal datas :  std_logic_vector(8 downto 0);
  --signal datas_i :  std_logic_vector(7 downto 0);
  

begin

  
  i_summe : summe
  port map              
    (data0_i => data0_i,   
     data1_i => data1_i,
     datas_o => datas);

  

  i_daten : daten
  port map
    (datas_i => datas,
     lvl0_o => lvl0_o,
     lvl1_o => lvl1_o,
     lvl2_o => lvl2_o,
     lvl3_o => lvl3_o,
     lvl4_o => lvl4_o,
     lvl5_o => lvl5_o,
     lvl6_o => lvl6_o,
     lvl7_o => lvl7_o); 

end struc;
